; ScanTrax Install-Script $VER: ScanTrax installer-script V1.7

(complete 0)
(set #st-version "2.2")
(set #st-date "Mar 30 1999")
(set #os-version (/ (getversion) 65536))

(set #novice 0)
(set #average 1)
(set #expert 2)

(user #average)
(set #germ (= @language "deutsch"))
(set #engl (= #germ 0))


(if #germ (set #loctxt "\n\nOS-30 oder hher nicht gefunden!\n\n\nInstallation wird abgebrochen!"))
(if #engl	(set #loctxt "\n\nOS-30 or higher not found!\n\nInstallation will be abort!"))
(if (< #os-version 39) (abort #loctxt) )

(if #germ (set #loctxt "\n\nCPU 68020 oder hher nicht gefunden!\n\n\nInstallation wird abgebrochen!"))
(if #engl	(set #loctxt "\n\nCPU 68020 or higher not found!\n\nInstallation will be abort!"))
(if (patmatch "68000" (database "cpu")) (abort #loctxt) )
(if (patmatch "68010" (database "cpu")) (abort #loctxt) )
(set #fpu (NOT (patmatch "NOFPU" (database "FPU"))) )

(if #germ (set #loctxt (cat   "\nWillkommen bei der Installation von \n\n\"ScanTrax V"
                     #st-version " ("#st-date ")\"!\n\n"
                    "ScanTrax ist ShareWare.\n\n"
                    "Programm Urheberrecht 1997-1999 Klaus Krause")))
(if #engl (set #loctxt (cat   "\nWelcome to the installation of \n\n\"ScanTrax V"
                     #st-version " ("#st-date ")\"!\n\n"
                    "ScanTrax is ShareWare.\n\n"
                    "Program Copyright 1997-1999 Klaus Krause")))
(message #loctxt)

(welcome)
(set #userlevel @user-level)


;--------------------------------------------------------------------------------------
;set install dir
(user 1)
(set root
	(askdir
		(if #germ (prompt "Bitte das Verzeichnis whlen, in dem das \"ScanTrax-Verzeichnis\" erstellt werden soll."))
		(if #engl (prompt "Please choose the directory, where to be create the \"ScanTrax-directory\"."))
		(help @askdir-help)
		(default "")
		(disk)
	)
)

(set #path (tackon root "ScanTrax"))
(makedir #path
	(infos)
)
(set @default-dest #path)
(user #userlevel)

;info install warn
(if (exists (tackon @default-dest "ScanTrax.info"))
	(
		(if #germ (set #loctxt (cat   "\nEine zuvor installierte Version wird nun berschrieben!\n\n"\
									"Mchten Sie mit der Installation fortfahren?\n")))

		(if #engl (set #loctxt (cat   "\nA previous installed version is going to overwrite now!\n\n"\
									"Would you go on with the installation?\n")))
		(message #loctxt)
	)
)


;--------------------------------------------------------------------------------------
;find out <part a>

(set #demo (exists "archiv/demo.lha" (noreq)))

(if #germ (set #loctxt "Bitte whlen Sie das Scanner-Modul\n fr Ihren Scanner aus!\n\nModul fr:"))
(if #engl (set #loctxt "Please choose the scanner-module\n for your scanner!\n\nModule for:"))
(set #scanner
	(askchoice
		(prompt #loctxt)
		(help @askchoice-help)
		(if #demo
			(
				(if #germ (choices "Demo Modul" "Hewlett Packard" "Epson"))
				(if #engl (choices "Demo module" "Hewlett Packard" "Epson"))
			)
			(
				(if #germ (choices "Hewlett Packard" "Epson"))
				(if #engl (choices "Hewlett Packard" "Epson"))
			)
		)
		(default 0)
	)
)

(if (NOT #demo) (set #scanner (+ #scanner 1)))

(if #germ (set #loctxt "Bitte whlen Sie das Untersttzungsmodul fr Grafikberechnungen aus!\n\nUntersttzung fr:"))
(if #engl (set #loctxt "Please choose the Support-module for graphic-computation!\n\nSupport for:"))
(set #support
	(askchoice
		(prompt #loctxt)
		(help @askchoice-help)
		(if #fpu
			(
				(if #germ (choices "MC68020 CPU" "MC68020 CPU mit FPU" "PPC mit PowerUP" "PPC mit WarpUP"))
				(if #engl (choices "MC68020 CPU" "MC68020 CPU with FPU" "PPC with PowerUP" "PPC with WarpUP"))
			)
			(
				(if #germ (choices "MC68020 CPU" "PPC mit PowerUP" "PPC mit WarpUP"))
				(if #engl (choices "MC68020 CPU" "PPC with PowerUP" "PPC with WarpUP"))
			)
		)
		(default 0)
	)
)

(if (NOT #fpu)
	(if (>= #support 1)
		(
			(set #support (+ #support 1))
		)
	)
)

(if #germ (set #loctxt "Bitte whlen Sie die Mauszeiger\n fr den Vorschau-Rahmen aus:\n\n"))
(if #engl (set #loctxt "Please choose the Mouse-pointer\n for the Preview-frame:\n\n"))
(set #pointer
	(askchoice
		(prompt #loctxt)
		(help @askchoice-help)
		(if #germ (choices "HiRes Zeiger (fr A1200,A4000)" "LoRes Zeiger" "Keine Zeiger"))
		(if #engl (choices "HiRes Pointer (for A1200,A4000)" "LoRes Pointer" "No Pointer"))
		(default 0)
	)
)

;--------------------------------------------------------------------------------------
;install archiv contents

(working
	(if #germ ("Entpacke Programmdateien..."))
	(if #engl ("Decompressing programmfiles..."))
)

(complete 10)
(if (= #scanner 0)
	(
		(set #part ("%s \"-qfaw=%s\" x \"%s\"" "lhex" @default-dest "archiv/Demo.lha" ))
		(set #error (run #part))

		(if (NOT (= #error 0))
			(message
				(if #germ ("Entpacken von 'Demo.lha' ist fehlgeschlagen!"))
				(if #engl ("Decompressing of 'Demo.lha' has failed!"))
			)
		)
	)
)
(if (= #scanner 1)
	(
		(set #part ("%s \"-qfaw=%s\" x \"%s\"" "lhex" @default-dest "archiv/ScanJet.lha" ))
		(set #error (run #part))

		(if (NOT (= #error 0))
			(message
				(if #germ ("Entpacken von 'ScanJet.lha' ist fehlgeschlagen!"))
				(if #engl ("Decompressing of 'ScanJet.lha' has failed!"))
			)
		)
	)
)
(if (= #scanner 2)
	(
		(set #part ("%s \"-qfaw=%s\" x \"%s\"" "lhex" @default-dest "archiv/Epson.lha" ))
		(set #error (run #part))

		(if (NOT (= #error 0))
			(message
				(if #germ ("Entpacken von 'Epson.lha' ist fehlgeschlagen!"))
				(if #engl ("Decompressing of 'Epson.lha' has failed!"))
			)
		)
	)
)

(complete 20)
(if (= #support 0)
	(
		(set #part ("%s \"-qfaw=%s\" x \"%s\"" "lhex" @default-dest "archiv/Support_68K.lha" ))
		(set #error (run #part))

		(if (NOT (= #error 0))
			(message
				(if #germ ("Entpacken von 'Support_68K.lha' ist fehlgeschlagen!"))
				(if #engl ("Decompressing of 'Support_68K.lha' has failed!"))
			)
		)
	)
)
(if (= #support 1)
	(
		(set #part ("%s \"-qfaw=%s\" x \"%s\"" "lhex" @default-dest "archiv/Support_68KFPU.lha" ))
		(set #error (run #part))

		(if (NOT (= #error 0))
			(message
				(if #germ ("Entpacken von 'Support_68KFPU.lha' ist fehlgeschlagen!"))
				(if #engl ("Decompressing of 'Support_68KFPU.lha' has failed!"))
			)
		)
	)
)
(if (= #support 2)
	(
		(set #part ("%s \"-qfaw=%s\" x \"%s\"" "lhex" @default-dest "archiv/Support_PowerUP.lha" ))
		(set #error (run #part))

		(if (NOT (= #error 0))
			(message
				(if #germ ("Entpacken von 'Support_PowerUP.lha' ist fehlgeschlagen!"))
				(if #engl ("Decompressing of 'Support_PowerUP.lha' has failed!"))
			)
		)
	)
)
(if (= #support 3)
	(
		(set #part ("%s \"-qfaw=%s\" x \"%s\"" "lhex" @default-dest "archiv/Support_WarpUP.lha" ))
		(set #error (run #part))

		(if (NOT (= #error 0))
			(message
				(if #germ ("Entpacken von 'Support_WarpUP.lha' ist fehlgeschlagen!"))
				(if #engl ("Decompressing of 'Support_WarpUP.lha' has failed!"))
			)
		)
	)
)

(complete 30)
(if 1
	(
		(set #part ("%s \"-qfaw=%s\" x \"%s\"" "lhex" @default-dest "archiv/ScanTrax.lha" ))
		(set #error (run #part))

		(if (NOT (= #error 0))
			(message
				(if #germ ("Entpacken von 'ScanTrax.lha' ist fehlgeschlagen!"))
				(if #engl ("Decompressing of 'ScanTrax.lha' has failed!"))
			)
		)
	)
)

(complete 40)
(if (= #pointer 0)
	(
		(set #part ("%s \"-qfaw=%s\" x \"%s\"" "lhex" @default-dest "archiv/PointerHires.lha" ))
		(set #error (run #part))

		(if (NOT (= #error 0))
			(message
				(if #germ ("Entpacken von 'PointerHires.lha' ist fehlgeschlagen!"))
				(if #engl ("Decompressing of 'PointerHires.lha' has failed!"))
			)
		)
	)
)
(if (= #pointer 1)
	(
		(set #part ("%s \"-qfaw=%s\" x \"%s\"" "lhex" @default-dest "archiv/PointerLores.lha" ))
		(set #error (run #part))

		(if (NOT (= #error 0))
			(message
				(if #germ ("Entpacken von 'PointerLores.lha' ist fehlgeschlagen!"))
				(if #engl ("Decompressing of 'PointerLores.lha' has failed!"))
			)
		)
	)
)
(if (= #pointer 2)
	(
		(delete	(tackon @default-dest "Pointer_AD.pre")
					(tackon @default-dest "Pointer_DL.pre")
					(tackon @default-dest "Pointer_DT.pre")
					(tackon @default-dest "Pointer_LR.pre")
					(tackon @default-dest "Pointer_UD.pre")
		)
	)
)
(if (exists "archiv/key.lha" (noreq))
	(
		(set #part ("%s \"-qfaw=%s\" x \"%s\"" "lhex" @default-dest "archiv/key.lha" ))
		(set #error (run #part))

		(if (NOT (= #error 0))
			(message
				(if #germ ("Entpacken von 'key.lha' ist fehlgeschlagen!"))
				(if #engl ("Decompressing of 'key.lha' has failed!"))
			)
		)
	)
)
;--------------------------------------------------------------------------------------
;misc copy
(complete 50)

(copyfiles
	(if #germ (prompt "Kopiere nun die Dokumentation."))
	(if #engl (prompt "Now copying the document."))
	(help @copyfiles-help)
	(source "")
	(dest #path)
	(files)
;	(infos)
;	(noposition)
	(pattern "#?.guide")
;	(confirm)
)

(copyfiles
	(if #germ (prompt "Kopiere nun die Icons."))
	(if #engl (prompt "Now copying the icons."))
	(help @copyfiles-help)
	(source "icons")
	(dest root)
	(all)
)

;--------------------------------------------------------------------------------------
;find out <part b>

(set #icon (tackon @default-dest "ScanTrax"))

(if (>= #scanner 1) ;disregard demo-module
	(set #text
		(askstring
			(if #germ (prompt "Bitte geben Sie nun den SCSI-Treibernamen an."))
			(if #engl (prompt "Please enter now the SCSI-Drivername."))
			(help @askstring-help)
			(default "scsi.device")
		)
	)
	(set #text "scsi.device")
)
(tooltype
	(dest #icon)
	(settooltype "SCSI_DEVICE" #text)
)

(if (>= #scanner 1) ;disregard demo-module
	(set #text
		(select
			(askchoice
				(if #germ (prompt "Bitte whlen Sie die SCSI-ID ihres Scanners."))
				(if #engl (prompt "Please choose the SCSI-ID of your Scanner."))
				(help @askchoice-help)
				(if #germ (choices	"Finde ID automatisch" 0 1 2 3 4 5 6 ))
				(if #engl (choices	"Find ID automatic" 0 1 2 3 4 5 6 ))
			)
			"AUTO" "0" "1" "2" "3" "4" "5" "6"
		)
	)
	(set #text "AUTO")
)
(tooltype
	(dest #icon)
	(settooltype "SCSI_UNIT" #text)
)

;two default settings
(tooltype
	(dest #icon)
	(settooltype "(SCSI_LUN" "0)")
)
(tooltype
	(dest #icon)
	(settooltype "(SCSI_BOARD" "0)")
)

(set #text
	(select
		(askchoice
			(if #germ (prompt "Bitte whlen Sie nun die Gre des Arbeitspuffers.\n"))
			(if #engl (prompt "Please choose now the workbuffer size.\n"))
			(if #germ (help "Soll der Puffer noch grer werden, ndern Sie spter die Programm-ToolTypes von Hand."))
			(if #engl (help "To make a greater buffer, change the program-tooltypes later by hand."))
			(choices	"1 MB" "2 MB" "3 MB")
		)
		"1048576" "2097152" "3145728")
)
(tooltype
	(dest #icon)
	(settooltype "BUFFER_SIZE" #text)
)

(complete 75)
(set #previewpath
	(askdir
		(if #germ (prompt "Wo sollen temporre Vorschau-Dateien abgelegt werden?"))
		(if #engl (prompt "Where should temporary preview-files be stored?"))
		(if #germ (help "Vorschau-Dateien haben in der Regel eine Gre bis ca. 3 MegaByte."))
		(if #engl (help "Preview-files normally have a size of approx. 3 MegaByte."))
		(default "PROGDIR:")
		(disk)
	)
)
(set #temppath
	(askdir
		(if #germ (prompt "Wo sollen temporre Bild-Dateien abgelegt werden?"))
		(if #engl (prompt "Where should temporary picture-files be stored?"))
		(if #germ (help "Bild-Dateien knnen in ihrer Gre mehre 10-MegaByte gro werden.\nDiese sollten daher auf Festplatte gespeichert werden."))
		(if #engl (help "Picture-files can become several 10-MegaByte big at their size.\nTherefor these should be stored on Harddisk."))
		(default "PROGDIR:")
		(disk)
	)
)

(tooltype
	(dest #icon)
	(settooltype "CX_PRIORITY" "-20")
	(settooltype "CX_POPKEY" "control s")
	(settooltype "CX_POPUP" "YES")
	(settooltype "CX_QUITKEY" "control q")
	(settooltype "CX_QUICKSCANKEY" "F10")
	(settooltype "SUFFIX_TARGA" ".tga")
	(settooltype "SUFFIX_IFF_ILBM" ".ilbm")
	(settooltype "SUFFIX_IFF_DEEP" ".deep")
	(settooltype "SUFFIX_PNG" ".png")
	(settooltype "SUFFIX_JPEG" ".jpg")
	(settooltype "IMAGE_ICON_NAME" "Reference_Icon.info")
	(settooltype "TEMPDIR_CONVERT" #temppath)
	(settooltype "TEMPDIR_PREVIEW" #previewpath)
)

;--------------------------------------------------------------------------------------
;set some tooltypes according to userselection


(if (= #scanner 0)
	(
		(tooltype
			(dest #icon)
			(settooltype "MODUL_NAME" "Demo")
		)
	)
)
(if (= #scanner 1)
	(
		(tooltype
			(dest #icon)
			(settooltype "MODUL_NAME" "ScanJet")
		)
	)
)
(if (= #scanner 2)
	(
		(tooltype
			(dest #icon)
			(settooltype "MODUL_NAME" "Epson")
		)
	)
)

(if (= #support 0)
	(
		(tooltype
			(dest #icon)
			(settooltype "SUPPORT_NAME" "Support")
		)
	)
)
(if (= #support 1)
	(
		(tooltype
			(dest #icon)
			(settooltype "SUPPORT_NAME" "Support")
		)
	)
)
(if (= #support 2)
	(
		(tooltype
			(dest #icon)
			(settooltype "SUPPORT_NAME" "Support.elf")
		)
	)
)
(if (= #support 3)
	(
		(tooltype
			(dest #icon)
			(settooltype "SUPPORT_NAME" "Support.wos")
		)
	)
)

(tooltype
	(dest #icon)
	(settooltype "(SCSI_EVEN" "0)")
	(settooltype "(SCSI_SENSE" "0)")
	(settooltype "(SCSI_LENGTH" "0)")
	(settooltype "(FORCE_MODEL" "0)")
	(settooltype "DONOTWAIT" "")
	(setstack 6000)
)

(user #expert)

(copylib
	(prompt "Kopiere nun die Library \"gtlayout.library\".")
	(help @copy-lib)
	(source "libs/gtlayout.library")
	(dest "LIBS:")
	(confirm)
)

(user #average)

(complete 100)
